petsc-3.4.2 2013-07-02

# DMMeshGetElements

Creates an array holding the vertices on each element.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshGetElements(DM dm, PetscBool columnMajor, PetscInt *numElements, PetscInt *numCorners, PetscInt *vertices[])

Not Collective

### Input Parameters

| dm | - The DMMesh object
| columnMajor | - Flag for column major order

### Output Parameters

| numElements | - The number of elements
| numCorners | - The number of vertices per element
| vertices | - The array holding vertices on each local element

### Keywords

mesh, elements

### See Also

DMMeshCreate()

Level:intermediate
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages